export const ionicLiquids = {
  "1-(2-Hydroxyethyl)-3-methylimidazolium Chloride": "C[N+]1=CN(CCO)C=C1.[Cl-]",
  "1-(2-Hydroxyethyl)-3-methylimidazolium Tetrafluoroborate": "C[N+]1=CN(CCO)C=C1.F[B-](F)(F)F",
  "1,2-Dimethyl-3-propylimidazolium Iodide": "CCC[N+]1=C(C)N(C)C=C1.[I-]",
  "1,3-Dimethylimidazolium Chloride": "C[N+]1=CN(C)C=C1.[Cl-]",
  "1,3-Dimethylimidazolium Dimethyl Phosphate": "C[N+]1=CN(C)C=C1.O=P(OC)([O-])OC",
  "1,3-Dimethylimidazolium Iodide": "C[N+]1=CN(C)C=C1.[I-]",
  "1,3-Dimethylimidazolium Methyl Sulfate": "C[N+]1=CN(C)C=C1.O=S(OC)([O-])=O",
  "1-Allyl-3-methylimidazolium Chloride": "C[N+]1=CN(CC=C)C=C1.[Cl-]",
  "1-Butyl-1-methylpiperidinium Bis(trifluoromethanesulfonyl)imide": "C[N+]1(CCCC)CCCCC1.O=S([N-]S(=O)(C(F)(F)F)=O)(C(F)(F)F)=O",
  "1-Butyl-1-methylpiperidinium Bromide": "C[N+]1(CCCC)CCCCC1.[Br-]",
  "1-Butyl-1-methylpyrrolidinium Bis(trifluoromethanesulfonyl)imide": "C[N+]1(CCCC)CCCC1.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "1-Butyl-1-methylpyrrolidinium Bromide": "C[N+]1(CCCC)CCCC1.[Br-]",
  "1-Butyl-1-methylpyrrolidinium Chloride": "C[N+]1(CCCC)CCCC1.[Cl-]",
  "1-Butyl-1-methylpyrrolidinium Dicyanamide": "C[N+]1(CCCC)CCCC1.N#C[N-]C#N",
  "1-Butyl-1-methylpyrrolidinium Trifluoromethanesulfonate": "C[N+]1(CCCC)CCCC1.O=S(C(F)(F)F)([O-])=O",
  "1-Butyl-2,3-dimethylimidazolium Bis(trifluoromethanesulfonyl)imide": "O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.CC1=[N+](C)C=CN1CCCC",
  "1-Butyl-2,3-dimethylimidazolium Chloride": "C[N+]1=C(C)N(CCCC)C=C1.[Cl-]",
  "1-Butyl-2,3-dimethylimidazolium Hexafluorophosphate": "C[N+]1=C(C)N(CCCC)C=C1.F[P-](F)(F)(F)(F)F",
  "1-Butyl-2,3-dimethylimidazolium Tetrafluoroborate": "C[N+]1=C(C)N(CCCC)C=C1.F[B-](F)(F)F",
  "1-Butyl-2,3-dimethylimidazolium Trifluoromethanesulfonate": "C[N+]1=C(C)N(CCCC)C=C1.O=S(C(F)(F)F)([O-])=O",
  "1-Butyl-3-methylimidazolium Bis(trifluoromethanesulfonyl)imide": "C[N+]1=CN(CCCC)C=C1.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "1-Butyl-3-methylimidazolium Bromide": "C[N+]1=CN(CCCC)C=C1.[Br-]",
  "1-Butyl-3-methylimidazolium Chloride": "C[N+]1=CN(CCCC)C=C1.[Cl-]",
  "1-Butyl-3-methylimidazolium Dicyanamide": "C[N+]1=CN(CCCC)C=C1.N#C[N-]C#N",
  "1-Butyl-3-methylimidazolium Hexafluorophosphate": "C[N+]1=CN(CCCC)C=C1.F[P-](F)(F)(F)(F)F",
  "1-Butyl-3-methylimidazolium Iodide": "C[N+]1=CN(CCCC)C=C1.[I-]",
  "1-Butyl-3-methylimidazolium Methanesulfonate": "C[N+]1=CN(CCCC)C=C1.CS(=O)([O-])=O",
  "1-Butyl-3-methylimidazolium Methyl Sulfate": "C[N+]1=CN(CCCC)C=C1.O=S(OC)([O-])=O",
  "1-Butyl-3-methylimidazolium Tetrachloroferrate": "C[N+]1=CN(CCCC)C=C1.Cl[Fe-](Cl)(Cl)Cl",
  "1-Butyl-3-methylimidazolium Tetrafluoroborate": "C[N+]1=CN(CCCC)C=C1.F[B-](F)(F)F",
  "1-Butyl-3-methylimidazolium Thiocyanate": "C[N+]1=CN(CCCC)C=C1.[S-]C#N",
  "1-Butyl-3-methylimidazolium Tribromide": "C[N+]1=CN(CCCC)C=C1.[Br-].[Br-].[Br-]",
  "1-Butyl-3-methylimidazolium Tricyanomethanide": "C[N+]1=CN(CCCC)C=C1.N#C[C-](C#N)C#N",
  "1-Butyl-3-methylimidazolium Trifluoro(trifluoromethyl)borate": "C[N+]1=CN(CCCC)C=C1.FC([B-](F)(F)F)(F)F",
  "1-Butyl-3-methylimidazolium Trifluoroacetate": "C[N+]1=CN(CCCC)C=C1.O=C([O-])C(F)(F)F",
  "1-Butyl-3-methylimidazolium Trifluoromethanesulfonate": "C[N+]1=CN(CCCC)C=C1.O=S(C(F)(F)F)([O-])=O",
  "1-Butyl-3-methylpyridinium Bromide": "CC1=C[N+](CCCC)=CC=C1.[Br-]",
  "1-Butyl-3-methylpyridinium Chloride": "CC1=C[N+](CCCC)=CC=C1.[Cl-]",
  "1-Butyl-4-methylpyridinium Bromide": "CC1=CC=[N+](CCCC)C=C1.[Br-]",
  "1-Butyl-4-methylpyridinium Chloride": "CC1=CC=[N+](CCCC)C=C1.[Cl-]",
  "1-Butyl-4-methylpyridinium Hexafluorophosphate": "CC1=CC=[N+](CCCC)C=C1.F[P-](F)(F)(F)(F)F",
  "1-Butylpyridinium Bis(trifluoromethanesulfonyl)imide": "O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.CCCC[N+]1=CC=CC=C1",
  "1-Butylpyridinium Bromide": "CCCC[N+]1=CC=CC=C1.[Br-]",
  "1-Butylpyridinium Chloride": "CCCC[N+]1=CC=CC=C1.[Cl-]",
  "1-Butylpyridinium Hexafluorophosphate": "CCCC[N+]1=CC=CC=C1.F[P-](F)(F)(F)(F)F",
  "1-Butylpyridinium Tetrafluoroborate": "CCCC[N+]1=CC=CC=C1.F[B-](F)(F)F",
  "1-Decyl-3-methylimidazolium Bis(trifluoromethanesulfonyl)imide": "C[N+]1=CN(CCCCCCCCCC)C=C1.O=S(C(F)(F)F)([N-]S(C(F)(F)F)(=O)=O)=O",
  "1-Decyl-3-methylimidazolium Bromide": "C[N+]1=CN(CCCCCCCCCC)C=C1.[Br-]",
  "1-Decyl-3-methylimidazolium Chloride": "C[N+]1=CN(CCCCCCCCCC)C=C1.[Cl-]",
  "1-Ethyl-1-methylpyrrolidinium Bromide": "C[N+]1(CC)CCCC1.[Br-]",
  "1-Ethyl-1-methylpyrrolidinium Tetrafluoroborate": "C[N+]1(CC)CCCC1.F[B-](F)(F)F",
  "1-Ethyl-2,3-dimethylimidazolium Bis(trifluoromethanesulfonyl)imide": "O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.CC1=[N+](C)C=CN1CC",
  "1-Ethyl-2-methylpyridinium Bromide": "CC1=CC=CC=[N+]1CC.[Br-]",
  "1-Ethyl-3-(hydroxymethyl)pyridinium Ethyl Sulfate": "OCC1=C[N+](CC)=CC=C1.O=S(OCC)([O-])=O",
  "1-Ethyl-3-methylimidazolium Acetate": "C[N+]1=CN(CC)C=C1.CC([O-])=O",
  "1-Ethyl-3-methylimidazolium Bis(trifluoromethanesulfonyl)imide": "C[N+]1=CN(CC)C=C1.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "1-Ethyl-3-methylimidazolium Bromide": "C[N+]1=CN(CC)C=C1.[Br-]",
  "1-Ethyl-3-methylimidazolium Chloride": "C[N+]1=CN(CC)C=C1.[Cl-]",
  "1-Ethyl-3-methylimidazolium Dicyanamide": "CCN1C=[N+](C)C=C1.N#C[N-]C#N",
  "1-Ethyl-3-methylimidazolium Diethyl Phosphate": "C[N+]1=CN(CC)C=C1.O=P(OCC)([O-])OCC",
  "1-Ethyl-3-methylimidazolium Ethyl Sulfate": "C[N+]1=CN(CC)C=C1.O=S(OCC)([O-])=O",
  "1-Ethyl-3-methylimidazolium Hexafluorophosphate": "C[N+]1=CN(CC)C=C1.F[P-](F)(F)(F)(F)F",
  "1-Ethyl-3-methylimidazolium Hydrogen Sulfate": "C[N+]1=CN(CC)C=C1.O=S(O)([O-])=O",
  "1-Ethyl-3-methylimidazolium Iodide": "C[N+]1=CN(CC)C=C1.[I-]",
  "1-Ethyl-3-methylimidazolium Methanesulfonate": "C[N+]1=CN(CC)C=C1.CS(=O)([O-])=O",
  "1-Ethyl-3-methylimidazolium Methyl Sulfate": "C[N+]1=CN(CC)C=C1.O=S(OC)([O-])=O",
  "1-Ethyl-3-methylimidazolium Nitrate": "C[N+]1=CN(CC)C=C1.[O-][N+]([O-])=O",
  "1-Ethyl-3-methylimidazolium Tetrachloroferrate": "C[N+]1=CN(CC)C=C1.Cl[Fe-](Cl)(Cl)Cl",
  "1-Ethyl-3-methylimidazolium Tetrafluoroborate": "C[N+]1=CN(CC)C=C1.F[B-](F)(F)F",
  "1-Ethyl-3-methylimidazolium Thiocyanate": "C[N+]1=CN(CC)C=C1.[S-]C#N",
  "1-Ethyl-3-methylimidazolium Tricyanomethanide": "C[N+]1=CN(CC)C=C1.N#C[C-](C#N)C#N",
  "1-Ethyl-3-methylimidazolium Trifluoro(trifluoromethyl)borate": "C[N+]1=CN(CC)C=C1.FC([B-](F)(F)F)(F)F",
  "1-Ethyl-3-methylimidazolium Trifluoroacetate": "C[N+]1=CN(CC)C=C1.O=C([O-])C(F)(F)F",
  "1-Ethyl-3-methylimidazolium Trifluoromethanesulfonate": "C[N+]1=CN(CC)C=C1.O=S(C(F)(F)F)([O-])=O",
  "1-Ethyl-3-methylimidazolium p-Toluenesulfonate": "C[N+]1=CN(CC)C=C1.CC2=CC=C(S(=O)([O-])=O)C=C2",
  "1-Ethyl-3-methylpyridinium Bis(trifluoromethanesulfonyl)imide": "CC1=CC=C[N+](CC)=C1.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "1-Ethyl-3-methylpyridinium Ethyl Sulfate": "CC1=C[N+](CC)=CC=C1.O=S(OCC)([O-])=O",
  "1-Ethyl-4-methylpyridinium Bromide": "CC1=CC=[N+](CC)C=C1.[Br-]",
  "1-Ethylpyridinium Bromide": "CC[N+]1=CC=CC=C1.[Br-]",
  "1-Ethylpyridinium Chloride": "CC[N+]1=CC=CC=C1.[Cl-]",
  "1-Hexyl-2,3-dimethylimidazolium Iodide": "C[N+]1=C(C)N(CCCCCC)C=C1.[I-]",
  "1-Hexyl-3-methylimidazolium Bis(trifluoromethanesulfonyl)imide": "C[N+]1=CN(CCCCCC)C=C1.O=S([N-]S(=O)(C(F)(F)F)=O)(C(F)(F)F)=O",
  "1-Hexyl-3-methylimidazolium Bromide": "C[N+]1=CN(CCCCCC)C=C1.[Br-]",
  "1-Hexyl-3-methylimidazolium Chloride": "C[N+]1=CN(CCCCCC)C=C1.[Cl-]",
  "1-Hexyl-3-methylimidazolium Hexafluorophosphate": "C[N+]1=CN(CCCCCC)C=C1.F[P-](F)(F)(F)(F)F",
  "1-Hexyl-3-methylimidazolium Iodide": "C[N+]1=CN(CCCCCC)C=C1.[I-]",
  "1-Hexyl-3-methylimidazolium Tetrafluoroborate": "C[N+]1=CN(CCCCCC)C=C1.F[B-](F)(F)F",
  "1-Hexyl-3-methylimidazolium Trifluoromethanesulfonate": "C[N+]1=CN(CCCCCC)C=C1.O=S(C(F)(F)F)([O-])=O",
  "1-Hexylpyridinium Hexafluorophosphate": "CCCCCC[N+]1=CC=CC=C1.F[P-](F)(F)(F)(F)F",
  "1-Methyl-1-propylpiperidinium Bis(fluorosulfonyl)imide": "O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.C[N+]1(CCC)CCCCC1",
  "1-Methyl-1-propylpiperidinium Bromide": "CCC[N+]1(C)CCCCC1.[Br-]",
  "1-Methyl-1-propylpyrrolidinium Bis(trifluoromethanesulfonyl)imide": "O=S(NS(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.C[N+]1(CCC)CCCC1",
  "1-Methyl-3-n-octylimidazolium Bromide": "CCCCCCCC[N+]1=CN(C)C=C1.[Br-]",
  "1-Methyl-3-n-octylimidazolium Chloride": "CCCCCCCC[N+]1=CN(C)C=C1.[Cl-]",
  "1-Methyl-3-n-octylimidazolium Hexafluorophosphate": "CCCCCCCC[N+]1=CN(C)C=C1.F[P-](F)(F)(F)(F)F",
  "1-Methyl-3-n-octylimidazolium Tetrafluoroborate": "CCCCCCCC[N+]1=CN(C)C=C1.F[B-](F)(F)F",
  "1-Methyl-3-n-octylimidazolium Trifluoromethanesulfonate": "CCCCCCCC[N+]1=CN(C)C=C1.O=S(C(F)(F)F)([O-])=O",
  "1-Methyl-3-pentylimidazolium Bromide": "CCCCC[N+]1=CN(C)C=C1.[Br-]",
  "1-Methyl-3-pentylimidazolium Tetrafluoroborate": "CCCCC[N+]1=CN(C)C=C1.F[B-](F)(F)F",
  "1-Methyl-3-propylimidazolium Bromide": "CCC[N+]1=CN(C)C=C1.[Br-]",
  "1-Methyl-3-propylimidazolium Chloride": "CCC[N+]1=CN(C)C=C1.[Cl-]",
  "1-Methyl-3-propylimidazolium Iodide": "CCC[N+]1=CN(C)C=C1.[I-]",
  "1-Methyl-3-propylimidazolium Tetrafluoroborate": "CCC[N+]1=CN(C)C=C1.F[B-](F)(F)F",
  "1-Propylpyridinium Chloride": "CCC[N+]1=CC=CC=C1.[Cl-]",
  "2,3-Dimethyl-1-propylimidazolium Bis(trifluoromethanesulfonyl)imide": "CN1C(C)=[N+](CCC)C=C1.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "4-Ethyl-4-methylmorpholinium Bromide": "C[N+]1(CC)CCOCC1.[Br-]",
  "Amyltriethylammonium Bis(trifluoromethanesulfonyl)imide": "CCC[N+](CCC)(CCC)CCC.FC(F)(F)S([N-]S(C(F)(F)F)(=O)=O)(=O)=O",
  "Cyclohexyltrimethylammonium Bis(trifluoromethanesulfonyl)imide": "C[N+](C)(C)C1CCCCC1.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "Diethyl(2-methoxyethyl)methylammonium Bis(fluorosulfonyl)imide": "FC(F)(F)S(=O)([N-]S(=O)(C(F)(F)F)=O)=O.C[N+](CC)(CC)CCOC",
  "Methyltri-n-octylammonium Bis(trifluoromethanesulfonyl)imide": "O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.C[N+](CCCCCCCC)(CCCCCCCC)CCCCCCCC",
  "Tetraamylammonium Bromide": "CCCCC[N+](CCCCC)(CCCCC)CCCCC.[Br-]",
  "Tetraamylammonium Chloride": "CCCCC[N+](CCCCC)(CCCCC)CCCCC.[Cl-]",
  "Tetraamylammonium Iodide": "CCCCC[N+](CCCCC)(CCCCC)CCCCC.[I-]",
  "Tetrabutylammonium Acetate": "CCCC[N+](CCCC)(CCCC)CCCC.CC([O-])=O",
  "Tetrabutylammonium Bromide": "CCCC[N+](CCCC)(CCCC)CCCC.[Br-]",
  "Tetrabutylammonium Chloride": "CCCC[N+](CCCC)(CCCC)CCCC.[Cl-]",
  "Tetrabutylammonium Hexafluorophosphate": "CCCC[N+](CCCC)(CCCC)CCCC.F[P-](F)(F)(F)(F)F",
  "Tetrabutylammonium Iodide": "CCCC[N+](CCCC)(CCCC)CCCC.[I-]",
  "Tetrabutylammonium Tetrafluoroborate": "CCCC[N+](CCCC)(CCCC)CCCC.F[B-](F)(F)F",
  "Tetrabutylammonium Trifluoromethanesulfonate": "CCCC[N+](CCCC)(CCCC)CCCC.O=S(C(F)(F)F)([O-])=O",
  "Tetrabutylphosphonium Bromide": "CCCC[P+](CCCC)(CCCC)CCCC.[Br-]",
  "Tetrabutylphosphonium Hexafluorophosphate": "CCCC[P+](CCCC)(CCCC)CCCC.F[P-](F)(F)(F)(F)F",
  "Tetrabutylphosphonium Tetrafluoroborate": "CCCC[P+](CCCC)(CCCC)CCCC.F[B-](F)(F)F",
  "Tetraheptylammonium Bromide": "CCCCCCC[N+](CCCCCCC)(CCCCCCC)CCCCCCC.[Br-]",
  "Tetraheptylammonium Iodide": "CCCCCCC[N+](CCCCCCC)(CCCCCCC)CCCCCCC.[I-]",
  "Tetrahexylammonium Bromide": "CCCCCC[N+](CCCCCC)(CCCCCC)CCCCCC.[Br-]",
  "Tetrahexylammonium Iodide": "CCCCCC[N+](CCCCCC)(CCCCCC)CCCCCC.[I-]",
  "Tetra-n-octylammonium Bromide": "CCCCCCCC[N+](CCCCCCCC)(CCCCCCCC)CCCCCCCC.[Br-]",
  "Tetra-n-octylammonium Iodide": "CCCCCCCC[N+](CCCCCCCC)(CCCCCCCC)CCCCCCCC.[I-]",
  "Tetra-n-octylphosphonium Bromide": "CCCCCCCC[P+](CCCCCCCC)(CCCCCCCC)CCCCCCCC.[Br-]",
  "Tetrapropylammonium Chloride": "CCC[N+](CCC)(CCC)CCC.[Cl-]",
  "Tributyl(2-methoxyethyl)phosphonium Bis(trifluoromethanesulfonyl)imide": "CCCC[P+](CCCC)(CCCC)CCOC.FC(F)(S([N-]S(C(F)(F)F)(=O)=O)(=O)=O)F",
  "Tributyl(ethyl)phosphonium Diethyl Phosphate": "CC[P+](CCCC)(CCCC)CCCC.O=P(OCC)([O-])OCC",
  "Tributyl(methyl)ammonium Dicyanamide": "[H]C(C([H])([H])C([H])([H])C([H])([H])[H])([H])[N+](C([H])([H])C([H])([H])C([H])([H])C([H])([H])[H])(C([H])([H])[H])C([H])([H])C([H])([H])C([H])([H])C([H])([H])[H].[N-]=C=NC#N",
  "Tributylhexadecylphosphonium Bromide": "CCCCCCCCCCCCCCCC[P+](CCCC)(CCCC)CCCC.[Br-]",
  "Tributylmethylammonium Bis(trifluoromethanesulfonyl)imide": "FC(F)(S([N-]S(C(F)(F)F)(=O)=O)(=O)=O)F.C[N+](CCCC)(CCCC)CCCC",
  "Tributylmethylphosphonium Bis(trifluoromethanesulfonyl)imide": "C[P+](CCCC)(CCCC)CCCC.FC(F)(S([N-]S(C(F)(F)F)(=O)=O)(=O)=O)F",
  "Tributylmethylphosphonium Iodide": "C[P+](CCCC)(CCCC)CCCC.[I-]",
  "Tributyl-n-octylphosphonium Bromide": "CCCCCCCC[P+](CCCC)(CCCC)CCCC.[Br-]",
  "Tributylsulfonium Iodide": "CCCC[S+](CCCC)CCCC.[I-]",
  "Triethylsulfonium Bis(trifluoromethanesulfonyl)imide": "O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O.CC[S+](CC)CC",
  "Trihexyl(tetradecyl)phosphonium Chloride": "CCCCCCCCCCCCCC[P+](CCCCCC)(CCCCCC)CCCCCC.[Cl-]",
  "Trihexyl(tetradecyl)phosphonium Dicyanamide": "CCCCCC[P+](CCCCCC)(CCCCCC)CCCCCCCCCCCCCC.N#C[N-]C#N",
  "Trimethylpropylammonium Bis(trifluoromethanesulfonyl)imide": "CCC[N+](C)(C)C.O=S([N-]S(C(F)(F)F)(=O)=O)(C(F)(F)F)=O",
  "Trimethylsulfonium Iodide": "C[S+](C)C.[I-]",
}
